## com.imcode.imcms.servlet.superadmin
Class AdminManager.DatesSummarySearchResultColumn

    java.lang.Object
      com.imcode.imcms.servlet.superadmin.AdminManager.DatesSummarySearchResultColumn

All Implemented Interfaces:
  DocumentFinder.SearchResultColumn, java.io.Serializable

Enclosing class:
  AdminManager

    public static class AdminManager.DatesSummarySearchResultColumn

extends java.lang.Object
implements DocumentFinder.SearchResultColumn

See Also:
  Serialized Form

Constructor Summary
`AdminManager.DatesSummarySearchResultColumn()`

Method Summary
`LocalizedMessage` `getName()`
`java.lang.String` `render(DocumentDomainObject document, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AdminManager.DatesSummarySearchResultColumn

    public AdminManager.DatesSummarySearchResultColumn()

Method Detail

### render

    public java.lang.String render(DocumentDomainObject document,
                                   javax.servlet.http.HttpServletRequest request,
                                   javax.servlet.http.HttpServletResponse response)
                            throws java.io.IOException,
                                   javax.servlet.ServletException

  Specified by:
    `render` in interface `DocumentFinder.SearchResultColumn`
  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

### getName

    public LocalizedMessage getName()

  Specified by:
    `getName` in interface `DocumentFinder.SearchResultColumn`